<?php 

require_once "../controladores/proveedor.controlador.php";
require_once "../modelos/proveedor.modelo.php";

class AjaxProveedor {

    /*=============================================
	VALIDAR NO REPETIR PROVEEDOR
	=============================================*/	

	public $validarProveedor;

	public function ajaxValidarProveedor(){

		$item = "ruc_dni";
		$valor = $this->validarProveedor;

		$respuesta = ControladorProveedor:: ctrMostrarProveedores($item, $valor);

		echo json_encode($respuesta);

	}

	 /** EDITAR PROVEEDOR */

	 public $idProveedor;

	 public function ajaxEditarProveedor(){
 
		 $item = "id";
		 $valor = $this -> idProveedor;
		 $respuesta = ControladorProveedor:: ctrMostrarProveedores($item, $valor);
 
		 echo json_encode($respuesta);
 
	 }
}



/*=============================================
VALIDAR NO REPETIR CLIENTE
=============================================*/

if(isset( $_POST["validarProveedor"])){

	$valProveedor = new AjaxProveedor();
	$valProveedor -> validarProveedor = $_POST["validarProveedor"];
	$valProveedor -> ajaxValidarProveedor();

}

/** EDITAR PROVEEDOR */

if(isset($_POST["idProveedor"])){
    $editar = new AjaxProveedor();
    $editar -> idProveedor = $_POST["idProveedor"];
    $editar -> ajaxEditarProveedor();

}